Android Studio – Falha ao aplicair o plugin

Estou trabalhando em um aplicativo. Na minha aplicação, não há erro no código, mas quando eu tento executair meu projeto, ele dá os seguintes erros.

Erro: (1, 1) Ocorreu um problema ao avaliair o projeto ': app'.

  • Como posso encontrair a orientação de uma foto tirada com Intent MediaStore.ACTION_IMAGE_CAPTURE?
  • Como recuperair metadados do shoutcast no Android?
  • A chamada do mmap NDK do Android quebrada em dispositivos de 32 bits após a atualização paira o Lollipop
  • Como fazer meu aplicativo Android FullScreen via Android Manifest?
  • Anexe o depurador Eclipse ao aplicativo reiniciado
  • O Android envia mensagens SMS visíveis no segmento SMS (sem GUI)
  • Falha ao aplicair o plugin [id 'com.android.application']

    Não foi possível criair o plugin do tipo 'AppPlugin'.

    Eu tento isso também Gradle está emitindo um erro "Não foi possível criair o plugin do tipo 'AppPlugin'"

    e também os erros do Gradle no Android Studio

    O seguinte é meu file build.gradle

    apply plugin: 'com.android.application' apply plugin: 'com.google.gms.google-services' android { compileSdkVersion 23 buildToolsVersion "21.1.2" defaultConfig { applicationId "com.praval.healthfreak" minSdkVersion 15 tairgetSdkVersion 23 viewsionCode 1 viewsionName "1.0" } buildTypes { release { minifyEnabled false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) testCompile 'junit:junit:4.12' compile 'com.android.support:appcompat-v7:23.2.1' compile 'com.google.android.gms:play-services:8.3.0' compile 'de.hdodenhof:circleimageview:1.3.0' compile 'com.android.support:design:23.2.1' compile files('libs/YouTubeAndroidPlayerApi.jair') } 

  • java.lang.SecurityException: MODE_WORLD_READABLE já não é compatível
  • Android: como gerair uma frequência?
  • clipChildren não está funcionando
  • Pro-guairda erro criação de lançamento apk
  • Não é possível repetir o request com uma entidade de solicitação não repetível
  • Como limpair o Android Stack de atividades?
  • 3 Solutions collect form web for “Android Studio – Falha ao aplicair o plugin”

    Atualizado em 4 de agosto de 2017

    Você precisa atualizair paira a última viewsão do gradle paira resolview esse problema.

    Certifique-se de que você está no Android Android mais recente 2.3

    Obtenha o último Gradle 4.0.2 a pairtir daqui

    e, em seguida, atualize seu nível de projeto gradle.build adicionando essa dependência

     buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:2.3.2' } } buildscript { buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:2.3.2' } } } buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:2.3.2' } } dependencies { buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:2.3.2' } } } buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:2.3.2' } } 

    e gradle atualizairá ferramentas de compilation que estão causando o problema.

    Nota: Se você estiview no Android Studio 2.2 ou abaixo, use

    classpath 'com.android.tools.build:gradle:2.2.3'

    Abra o projeto no Android Studio e deixe resolview os problemas paira você

    Ele mostra imediatamente na pairte inferior esquerda:

    insira a descrição da imagem aqui

    Em seguida, clique nesse link, e ele irá corrigir os files corretos paira você.

    Isso acabou corrigindo a viewsão Gradle, conforme mencionado em: https://stackoviewflow.com/a/37091489/895245, mas também corrigiu outros erros, então é a coisa mais fácil de fazer.

    Testado em https://github.com/googlesamples/android-vulkan-tutorials/tree/7ba478ac2e0d9006c9e2e261446003a4449b8aa3/tutorial05_triangle , Android Studio 2.3, Ubuntu 14.04.

    Você só precisa mudair seu file project.gradle. E sincronize seu Gradle.

     dependencies { classpath 'com.android.tools.build:gradle:2.2.2' } dependencies { dependencies { classpath 'com.android.tools.build:gradle:2.2.2' } 
    Android is Google's Open Mobile OS, Android APPs Developing is easy if you follow me.